//-----------------------------
// drawer script
// by Plague (Linus Brolin)
//-----------------------------

#include <lib/std.mi>

Global Layer toggleDraw; 
Global Boolean out;
Global Group draw;

System.onScriptLoaded()
{
  draw = getScriptGroup(); //The drawer group
  toggleDraw = draw.findObject("drawer2base"); //The button or layer you load for opening/closing the drawer
  out = 0; //If the drawer is slided out at default
}

toggleDraw.OnLeftButtonUp(int x, int y)
{
  If (out) {             //Check if its down
    out = 0;             //Set as if it's up
    draw.setTargetX(338);	//The X where it should go to
    draw.setTargetY(75);	//The Y where it should go to
    draw.setTargetSpeed(1);	//The Speed
    draw.gotoTarget();	//and the action
  } else {
    out = 1;
    draw.setTargetX(368);
    draw.setTargetY(75);
    draw.setTargetSpeed(1);
    draw.gotoTarget();
  }
}
